{
  "type": "minecraft:simple_random_selector",
  "config": {
    "features": [
      {
        "feature": {
          "type": "minecraft:delta_feature",
          "config": {
            "contents": {
              "Name": "minecraft:tube_coral_fan",
              "Properties": {
                "waterlogged": "true"
              }
            },
            "rim": {
              "Name": "minecraft:blue_concrete"
            },
            "size": 5,
            "rim_size": 1
          }
        },
        "placement": []
      },
      {
        "feature": {
          "type": "minecraft:delta_feature",
          "config": {
            "contents": {
              "Name": "minecraft:brain_coral_fan",
              "Properties": {
                "waterlogged": "true"
              }
            },
            "rim": {
              "Name": "minecraft:pink_concrete"
            },
            "size": 5,
            "rim_size": 1
          }
        },
        "placement": []
      },
      {
        "feature": {
          "type": "minecraft:delta_feature",
          "config": {
            "contents": {
              "Name": "minecraft:bubble_coral_fan",
              "Properties": {
                "waterlogged": "true"
              }
            },
            "rim": {
              "Name": "minecraft:purple_concrete"
            },
            "size": 5,
            "rim_size": 1
          }
        },
        "placement": []
      },
      {
        "feature": {
          "type": "minecraft:delta_feature",
          "config": {
            "contents": {
              "Name": "minecraft:fire_coral_fan",
              "Properties": {
                "waterlogged": "true"
              }
            },
            "rim": {
              "Name": "minecraft:red_concrete"
            },
            "size": 5,
            "rim_size": 1
          }
        },
        "placement": []
      },
      {
        "feature": {
          "type": "minecraft:delta_feature",
          "config": {
            "contents": {
              "Name": "minecraft:horn_coral_fan",
              "Properties": {
                "waterlogged": "true"
              }
            },
            "rim": {
              "Name": "minecraft:green_concrete"
            },
            "size": 5,
            "rim_size": 1
          }
        },
        "placement": []
      }
    ]
  }
}